aboutsummaryrefslogtreecommitdiff
path: root/ksh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-06-29 17:22:56 +1200
committerTom Ryder <tom@sanctum.geek.nz>2018-06-29 17:22:56 +1200
commitf1fb2e6cd9c774e8f39ab5e8f7896585a56711c2 (patch)
tree7c32d48259a5a0c9abbced54610edde8e38bc852 /ksh
parentCorrect typo in .bashrc (diff)
downloaddotfiles-f1fb2e6cd9c774e8f39ab5e8f7896585a56711c2.tar.gz
dotfiles-f1fb2e6cd9c774e8f39ab5e8f7896585a56711c2.zip
Break sh noglob guard into two lines for clarity
They're nicer to read this way.
Diffstat (limited to 'ksh')
-rw-r--r--ksh/kshrc.d/keep.ksh3
1 files changed, 2 insertions, 1 deletions
diff --git a/ksh/kshrc.d/keep.ksh b/ksh/kshrc.d/keep.ksh
index 0451fa68..f6593c3d 100644
--- a/ksh/kshrc.d/keep.ksh
+++ b/ksh/kshrc.d/keep.ksh
@@ -153,6 +153,7 @@ EOF
# Load any existing scripts in kshkeep
for kshkeep in "${KSHKEEP:-"$HOME"/.kshkeep.d}"/*.ksh ; do
- [[ -e $kshkeep ]] && source "$kshkeep"
+ [[ -e $kshkeep ]] || continue
+ source "$kshkeep"
done
unset -v kshkeep